Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin
Interface AdminService

    public interface AdminService

AdminService

Method Summary
`CatalogInfoManager` | `getCatalogInfoManager()` get CatalogInfoManager.
`ClusterAdminService` | `getClusterAdminService()` Get ClusterAdminService.
`ConfigService` | `getConfigService()` Get ConfigService.
`ConnectionInfoProviderService` | `getConnectionInfoProviderService()` get connection information provider service.
`ConnectionPoolManager` | `getConnectionPoolManager()` Get ConnectionPoolManager.
`DataManager` | `getDataManager()` get DataManager
`ResourceAdminService` | `getResourceAdminService()` Get ResourceAdminService.
`ResourceAliasManager` | `getResourceAliasManager()` get resource alias manager
`SecurityAdminService` | `getSecurityAdminService()` Get SecurityAdminService.

Method Detail

### getClusterAdminService

    ClusterAdminService getClusterAdminService()

  Get ClusterAdminService.

  Returns:
    the ClusterAdminService.

### getResourceAdminService

    ResourceAdminService getResourceAdminService()

  Get ResourceAdminService.

  Returns:
    the ResourceAdminService.

### getSecurityAdminService

    SecurityAdminService getSecurityAdminService()

  Get SecurityAdminService.

  Returns:
    the SecurityAdminService.

### getConfigService

    ConfigService getConfigService()

  Get ConfigService.

  Returns:
    the ConfigService.

### getConnectionPoolManager

    ConnectionPoolManager getConnectionPoolManager()

  Get ConnectionPoolManager.

  Returns:
    the ConnectionPoolManager.

### getDataManager

    DataManager getDataManager()

  get DataManager

  Returns:
    the DataManager

### getResourceAliasManager

    ResourceAliasManager getResourceAliasManager()

  get resource alias manager

  Returns:
    the ResourceAliasManager.

### getConnectionInfoProviderService

    ConnectionInfoProviderService getConnectionInfoProviderService()

  get connection information provider service.

  Returns:
    the ConnectionInfoProviderService.

### getCatalogInfoManager

    CatalogInfoManager getCatalogInfoManager()

  get CatalogInfoManager.

  Returns:
    the CatalogInfoManager.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD